summarylogtreecommitdiffstats
path: root/11netcfg
diff options
context:
space:
mode:
Diffstat (limited to '11netcfg')
-rw-r--r--11netcfg26
1 files changed, 26 insertions, 0 deletions
diff --git a/11netcfg b/11netcfg
new file mode 100644
index 000000000000..1b4d05ee711d
--- /dev/null
+++ b/11netcfg
@@ -0,0 +1,26 @@
+#!/bin/bash
+
+. /usr/lib/pm-utils/functions
+
+suspend_netcfg() {
+ netcfg2 all-suspend
+}
+
+resume_netcfg() {
+ netcfg2 all-resume
+}
+
+if [ -x /usr/bin/netcfg2 ]; then
+ case "$1" in
+ hibernate|suspend)
+ suspend_netcfg
+ ;;
+ thaw|resume)
+ resume_netcfg
+ ;;
+ *)
+ ;;
+ esac
+fi
+
+exit $?